#	PalNFO
#	Copyright (C) 2005-2006 Paul Taylor
#
#	PalNFO is free software; you can redistribute it and/or modify it under
#	the terms of the GNU General Public License as published by the Free
#	Software Foundation; either version 2, or (at your option) any later
#	version.
#
#	The PalNFO plugin and plugin source is distributed in the hope that
#	it will be useful; but WITHOUT ANY WARRANTY; without even the implied
#	warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#	See the GNU General Public License for more details.
#
#	You should be able to get a copy of the GNU General Public License at:
#	*  http://www.gnu.org/copyleft/gpl.html
#	Or, if these sites do not work, write to the Free Software Foundation,
#	59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

[Main]
# Dump @ Startup
#  Write Templates out at Server Startup
#   Default: dumpatstartup=yes
dumpatstartup=yes

# Duplicate IP Addresses
#  Count duplicate IPs as 1 user?
#   Default: duplicateips=yes
duplicateips=yes

# Show Hidden Users
#  Should I list the hidden users?
#   Default: listhiddenusers=no
listhiddenusers=no

# Show Guests
#  Should I list the guests?
#   Default: listguests=no
listguests=yes

# Show Hidden Rooms
#  Should I list hidden rooms?
#   Default: listhiddenrooms=no
listhiddenrooms=no

# Show Member Rooms
#  Should I list the member rooms?
#   Default: listmemrooms=no
listmemrooms=yes

[Update]
# This section includes information on how often or when to dump the stats.

# This setting will dump to the stats template(s) in N seconds.
#  How often to update (in seconds)?
#   Default: timer=60
#   NOTE:
#     To disable: timer=0 or timer=off
timer=60

# Reset Main Timer
#  Resets main 'timer' when alternate user/room events (below) update output.
#   Default: reset=on
reset=on

# The following alternate room/user event settings when toggled ON will dump to the
#  stats file when certain events or actions take place.
#   WARNING: If your server has 30 users or more regularly you should leave these off!

# User Logs On
#  Dump current stats when a user logs on.
#   Default: userlogon=off
userlogon=on

# User Logs Off
#  Dump current stats when a user logs off.
#   Default: userlogoff=off
userlogoff=on

# User Enters a Room
#  Dump current stats when a user enters a room.
#   Default: userenter=off
userenter=on

# Room Created
#  Dump current stats when a user creates a room.
#   Default: roomcreate=off
roomcreate=on

# Room Deleted
#  Dump current stats when a user deletes a room.
#   Default: roomdelete=off
roomdelete=on

[Template]
# Template's Header
templateheader=# $pname ( $pver ) - $pcopy [$phome]\n# Last Updated: $pdate ( $ptime )\n\n

# Comment Before Server NFO
serverheader=[Server]\n

# Server NFO
servernfo=server=$sname,$erid,$nusers,$nhusers,$nguests,$nhguests,$nrooms,$nhrooms,$nmrooms,$nhmrooms,$smaxocc,$sroommaxocc,$surl,$savs,$smedia,$guests,$borgs,$paint,$avs,$spoofing,$memrooms\n

# Comment After Server NFO
serverfooter=\n

# Comment Before User NFO
usersheader=[Users]\n

# User(s) NFO
usersnfo=user$inc=$uid,$uname,$urid,$urname,$uos,$urank,$ulogontime,$ulacttime,$ugag,$upin,$uhide,$uesp,$upri,$upgag\n

# Comment After User NFO
usersfooter=\n

# Comment Before Room NFO
roomsheader=[Rooms]\n

# Room(s) NFO
roomsnfo=room$inc=$rid,$rname,$roommaxocc,$rart,$nrusers,$rownuid,$rpri,$rpaint,$rlock,$rborg,$rhide,$rmem,$rguests,$rwiz,$rdrop,$rlprp\n

# Comment After Room NFO
roomsfooter=\n

# Template's Footer
templatefooter=null

## Output Template
## Palace Template Map
# <Template Header>
# 	<Server Header>
# 		<Server NFO>
# 	<Server Footer>
# 	<User(s) Header>
# 		<User(s) NFO>
# 	<User(s) Footer>
# 	<Room(s) Header>
# 		<Room(s) NFO>
# 	<Room(s) Footer>
# <Template Footer>

# Full Template
palacetemplate=psdata/template.ini

## Server Only Template Map
# <Template Header>
# 	<Server Header>
# 		<Server NFO>
# 	<Server Footer>
# <Template Footer>

# Server Only Template
servertemplate=psdata/server.ini

# Include Template Headers/Footers in Server Only Template
#   Default: servertemplatewrapper=off
servertemplatewrapper=on

## User Only Template Map
# <Template Header>
# 	<User(s) Header>
# 		<User(s) NFO>
# 	<User(s) Footer>
# <Template Footer>

# User Only Template
usertemplate=psdata/users.ini

# Include Template Headers/Footers in User Only Template
#   Default: usertemplatewrapper=off
usertemplatewrapper=on

## Room Only Template Map
# <Template Header>
# 	<Room(s) Header>
# 		<Room(s) NFO>
# 	<Room(s) Footer>
# <Template Footer>

# Room Only Template
roomtemplate=psdata/rooms.ini

# Include Template Headers/Footers in Room Only Template
#   Default: roomtemplatewrapper=off
roomtemplatewrapper=on

## Call an External Shell Command
##  (DO NOT USE THIS UNLESS YOU KNOW LINUX/UNIX WELL!)
#    This is so you can pass a limited bit of statistical information to an external command.
#  E.G.
#     *shell=wget --post-data='$surl $sname' 'http://sub.domain.com/~user/script.php'
#     *shell=php -r 'echo "The Server's Name is: $sname\n";'
#     *shell=php script.php $surl $sname
#
#  NOTE(S):
#    1) All shell commands will automatically have '>& /dev/null 2>&1' appended onto them!
#    2) Since server/room/user information is broken into their own blocks, so are the shell outputs.
#
# Default: *shell=null
servershell=null

usershell=null

roomshell=null

# Multi-Thread all output
#  Creates a new thread for anything that outputs (file or shell).
#   Default: thread=on
thread=on

[Flags]
# Main Sections
#  Main sections follow the rules of internal_variable=pattern

# NFO Sections
#  NFO sections follow the rules of internal_variable=pattern,off_text_display,on_text_display

## <<-- Plugin Main -------------------
# As rooms/users are output, this variable increments
incrementor=$inc

# Update Frequency
updatefreq=$ufreq

# Plugin Home
pluginhome=$phome

# Plugin Name
pluginname=$pname

# Plugin Version
pluginversion=$pver

# Plugin Copyright
plugincopyright=$pcopy

# Timestamp (Unix Epoch)
timestamp=$ptime

# DateTime (Www Mmm dd hh:mm:ss yyyy)
datetime=$pdate

## <<-- Server Main -------------------
# Visible Users Count
servernbrusers=$nusers

# Visible Guest Users Count
servernbrguestusers=$nguests

# Hidden Users Count
servernbrhiddenusers=$nhusers

# Hidden Guest Users Count
servernbrhiddenguestusers=$nhguests

# Visible Permanent Rooms Count
servernbrrooms=$nrooms

# Hidden Permanent Rooms Count
servernbrhiddenrooms=$nhrooms

# Visible Member Rooms Count
servernbrmemberrooms=$nmrooms

# Hidden Member Rooms Count
servernbrhiddenmemberrooms=$nhmrooms

# Server's Entrance Room ID
serverentranceroomid=$erid

# Server's URL
serverurl=$surl

# Server's Avatars URL
serveravatars=$savs

# Server's Media URL
servermedia=$smedia

# Server's Name
servername=$sname

# Max Occupancy
servermaxocc=$smaxocc

# Max Room Default Occupancy
serverroommaxocc=$sroommaxocc

# Server's UpTime (Unix Epoch)
serveruptimetimestamp=$suptime

# Server's UpTime (Www Mmm dd hh:mm:ss yyyy)
serveruptimedatetime=$supdate

## <<-- Server NFO -------------------
# Guests Allowed?
guests=$guests,off,allowed

# Cyborgs Allowed?
cyborgs=$borgs,off,allowed

# Painting Allowed?
painting=$paint,off,allowed

# User Avatars Allowed?
customprops=$avs,off,allowed

# Spoofing Allowed?
spoofing=$spoofing,off,allowed

# Member Rooms Allowed?
memberrooms=$memrooms,off,allowed

## <<-- User Main -------------------
# User's ID
userid=$uid

# User's Room ID
userroomid=$urid

# User's Name
username=$uname

# User's Room Name
userroomname=$urname

# User's Client OS (Text)
useros=$uos

# IsGuest? (0) IsMember? (1) IsWiz? (2) IsGod? (3)
userrank=$urank

# User's SignOn Time (Unix Epoch)
userlogontimestamp=$ulogontime

# User's SignOn Time (Www Mmm dd hh:mm:ss yyyy)
userlogondatetime=$ulogondate

# User's Last Active Time (Unix Epoch)
userlastactivetimestamp=$ulacttime

# User's Last Active (Www Mmm dd hh:mm:ss yyyy)
userlastactivedatetime=$ulactdate

## <<-- User NFO -------------------
# IsGagged?
usergag=$ugag,off,gagged

# IsPinned?
userpin=$upin,off,pinned

# IsHidden?
userhidden=$uhide,visible,hidden

# IsRejectingESP?
userrejectesp=$uesp,accepting-esp,rejecting-esp

# IsRejectingPrivateMessages?
userrejectpri=$upri,accepting-pri,rejecting-pri

# IsPropGagged?
userpropgag=$upgag,off,propgagged

## <-- Room Main -------------------
# Room's ID
roomid=$rid

# Room's Name
roomname=$rname

# Room's Max Occupancy
roommaxocc=$roommaxocc

# Room's Artist
roomartist=$rart

# Room's Population
roomusercount=$nrusers

# Room's Owner's UserID
roomowneruserid=$rownuid

## <<-- Room NFO -------------------
# IsPrivate?
roomprivate=$rpri,public,private

# Allows Painting?
roompaint=$rpaint,null,painting

# IsClosed?
roomclosed=$rlock,open,closed

# Allows Cyborgs?
roomcyborg=$rborg,null,scripts

# IsHidden?
roomhidden=$rhide,visible,hidden

# IsMember?
roommember=$rmem,permanent,member

# Allows Guests?
roomguests=$rguests,blocked,allowed

# IsWizOnly?
roomwizonly=$rwiz,public,wizonly

# IsDropZone?
roomdropzone=$rdrop,off,dropzone

# Allows LooseProps?
roomlooseprops=$rlprp,blocked,allowed
